Declare Sub FloodFill Lib "GDI" (ByVal hDC As Integer, ByVal x As Integer, ByVal Y As Integer, ByVal Color As Long)

'   Cdigos e Cores adotadas para cada equipamento
'
'   Motor               1
'   Transformador       2
'   Fusvel NH          3
'   Cabos               4
'   Fusvel Diazed      5
'   Disjuntor           6
'   Rel Inepar(0)      7
'   Rel Inepar(1)      8
'   Rel Inepar(2)      9
'   Rel Inepar(3)      10
'   Rel de Sobrecarga  11
'   Barramento          12
'   Disjuntor ajustvel 13

'Variaveis de cor
Global corfusnh As Long
Global corfusdia As Long
Global cordisj As Long
Global cormotor As Long
Global CorCabo As Long
Global cortransform As Long
Global corgrade As Long
Global Corfundo As Long
Global corRele As Long
Global corTermico As Long
Global corbarra As Long

' Variveis do Motor

Global Inominal, Ipartida, Tpartida  As Single
Global Ipart As Single
Global Tpart As Single

' Variaveis do Transformador

Global Inrush As Single
Global Pnom As Single
Global Vnom As Single
Global RT(-1 To 24, 2) As Single

' Variaveis gerais

Global Inom As Single
Global t, m As Single
Global tempoy As Single
Global corrente1x As Single
Global corrente2x As Single
Global Corrente As Single
Global barra As Single             'numero de barras no sistema

' Variveis do Cabo

Global secao As Single
Global isolacao As String           'tipo de isolacao do cabo
Global tipo As String
Global constante(1) As Single


' Matriz dos equipamentos utilizados

Global Equipamento(30, 30) As Single    'Armazena dados
Global ordem(25, 3) As Single           'Armazena a seqncia
Global hiden(25) As Single              'Armazena qual elemento deve ser mostrado

' Variaveis do Fusivel NH

Global T_NH(7, 4) As Single
Global I1_NH(7, 4) As Single
Global I2_NH(7, 4) As Single
Global TabNH As String
Global V_NH As Single
Global n_NH As Integer


' Variaveis do Fusivel Diazed

Global TDiazed(7) As Single
Global I1Diazed(7) As Single
Global I2Diazed(7) As Single
Global TabDiazed As String
Global V_Diazed As Single

' Variaveis do Disjuntor General Electric

Global TDisj_GE(16) As Single
Global I1Disj_GE(16) As Single
Global I2Disj_GE(16) As Single
Global TabDisj_GE As String
Global V_Disj_GE As Single
Global Idisj As Single

' Variaveis do rel de sobrecorrente

Global Tipo_Rele As Integer
Global MA(7) As Single
Global T_Rele(7) As Single
Global I_Rele(7) As Single
Global rele51 As Integer

' Variaveis do rel de sobrecarga

Global Tipo_Termico As Integer
Global Iajust As Single
Global carga As Single

' Variaveis do disjuntor ajustvel

Global Tt1(5) As Single
Global Tt2(5) As Single
Global Ii1(5) As Single
Global Ii2(5) As Single

Sub Desenha_Barra ()
  Dim FA, FB, FC, FD As Single
    If hiden(t) = 0 Then
    FA = Converge_EscalaT(10 ^ decHi) - 14
    FD = Converge_EscalaI(Equipamento(ordem(t, 1), 1))
    
    FormGraficos.Line (FD, Converge_EscalaT(10 ^ (decHi)))-(FD, Converge_EscalaT(10 ^ (decHi)) - 13), corbarra
    FormGraficos.Line (FD - 3, Converge_EscalaT(10 ^ (decHi)) - 13)-(FD + 3, Converge_EscalaT(10 ^ (decHi)) - 13), corbarra
    FormGraficos.Line (FD, Converge_EscalaT(10 ^ (decHi)) - 20)-(FD - 3, Converge_EscalaT(10 ^ (decHi)) - 13), corbarra
    FormGraficos.Line (FD, Converge_EscalaT(10 ^ (decHi)) - 20)-(FD + 3, Converge_EscalaT(10 ^ (decHi)) - 13), corbarra
    
    FloodFill FormGraficos.hDC, FD - 1, FA, corbarra
    FormGraficos.ForeColor = corbarra
    FormGraficos.Print Equipamento(ordem(t, 1), 2)
    FormGraficos.ForeColor = corgrade

    End If

End Sub

Sub Desenha_Cabo ()
    If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	FormGraficos.Line (Converge_EscalaI(RTT * Equipamento(ordem(t, 1), 1)), Converge_EscalaT(Equipamento(ordem(t, 1), 4)))-(Converge_EscalaI(RTT * Equipamento(ordem(t, 1), 2)), Converge_EscalaT(Equipamento(ordem(t, 1), 3))), CorCabo
    End If
End Sub

Sub Desenha_Diazed ()
 If hiden(t) = 0 Then

    cor = corfusdia
    
    Dim RTT As Single
	
    RTT = RT(t, 1)

    For i = 1 To 7
	curve(i - 1).fx = Converge_EscalaI(RTT * Equipamento(ordem(t, 1) + 1, i))
	curve(i - 1).fz = Converge_EscalaI(RTT * Equipamento(ordem(t, 1) + 2, i))
	curve(i - 1).fy = Converge_EscalaT(Equipamento(ordem(t, 1), i))
    Next i

    glNumControlPoints = 0
    glCurveResolution = 20
    gfTension = 1#
    
    For i = 0 To 6
	AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
    Next i

    Dim j As Long
    Dim lCurveLen As Long

    lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
    FormGraficos.CurrentX = curve(0).fx
    FormGraficos.CurrentY = curve(0).fy
    
    For j = 1 To lCurveLen
	FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
    Next j

    FormGraficos.CurrentX = curve(0).fz
    FormGraficos.CurrentY = curve(0).fy

    For j = 1 To lCurveLen
	FormGraficos.Line -(curve(j).fz, curve(j).fy), cor
    Next j
     
    FormGraficos.Line (curve(0).fx, curve(0).fy)-(curve(0).fz, curve(0).fy), cor
    FormGraficos.Line (curve(lCurveLen).fx, curve(lCurveLen).fy)-(curve(lCurveLen).fz, curve(lCurveLen).fy), cor

    FormGraficos.FillStyle = 4
    FormGraficos.FillColor = cor

    
    xc = (curve(6).fx + curve(6).fz) / 2
    yc = curve(6).fy
    
    FloodFill FormGraficos.hDC, xc, yc, cor
    
End If
End Sub

Sub Desenha_Disj_GE ()
 If hiden(t) = 0 Then
    
    Dim RTT As Single
	
    RTT = RT(t, 1)
    
    cor = cordisj
    Idisj = Equipamento(ordem(t, 1), 25)
    ReDim I1(20) As Single
    ReDim I2(20) As Single
    For i = 0 To 16
	I1(i) = (Equipamento(ordem(t, 1) + 1, i + 1)) * Idisj
	I2(i) = (Equipamento(ordem(t, 1) + 2, i + 1)) * Idisj
    Next i
    
    For i = 0 To 16
	curve(i).fx = Converge_EscalaI(RTT * I1(i))
	curve(i).fz = Converge_EscalaI(RTT * I2(i))
	curve(i).fy = Converge_EscalaT(Equipamento(ordem(t, 1), i + 1))
    Next i


    glNumControlPoints = 0
    glCurveResolution = 20
    gfTension = 1#
    
    For i = 0 To 16

	AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
    Next i

    Dim j As Long
    Dim lCurveLen As Long

    lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
    FormGraficos.CurrentX = curve(0).fx
    FormGraficos.CurrentY = curve(0).fy
    
    For j = 1 To lCurveLen
	FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
    Next j

    FormGraficos.CurrentX = curve(0).fz
    FormGraficos.CurrentY = curve(0).fy

    For j = 1 To lCurveLen
	FormGraficos.Line -(curve(j).fz, curve(j).fy), cor
    Next j
    
    FormGraficos.Line (curve(0).fx, curve(0).fy)-(curve(0).fz, curve(0).fy), cor
    FormGraficos.Line (curve(lCurveLen).fx, curve(lCurveLen).fy)-(curve(lCurveLen).fz, curve(lCurveLen).fy), cor
    

    FormGraficos.FillStyle = 4
    FormGraficos.FillColor = cor

    
    xc = (curve(6).fx + curve(6).fz) / 2
    yc = curve(6).fy
    
    FloodFill FormGraficos.hDC, xc, yc, cor
    
End If
End Sub

Sub Desenha_Disj1 ()


    If hiden(t) = 0 Then
    
	Dim Inom As Single
	Inom = Equipamento(ordem(t, 1), 21)
	
	For i = 1 To 5
	    Tt1(i) = Converge_EscalaT(Equipamento(ordem(t, 1), i))
	    Tt2(i) = Converge_EscalaT(Equipamento(ordem(t, 1), i + 5))
	    Ii1(i) = Converge_EscalaI(Equipamento(ordem(t, 1), i + 10) * Inom)
	    Ii2(i) = Converge_EscalaI(Equipamento(ordem(t, 1), i + 15) * Inom)
	Next i
	

	FormGraficos.Line (Ii1(1), Tt1(1))-(Ii1(2), Tt1(2)), cordisj
	FormGraficos.Line -(Ii1(3), Tt1(3)), cordisj
	FormGraficos.Line -(Ii1(4), Tt1(4)), cordisj
	FormGraficos.Line -(Ii1(5), Tt1(5)), cordisj
	FormGraficos.Line (Ii2(1), Tt2(1))-(Ii2(2), Tt2(2)), cordisj
	FormGraficos.Line -(Ii2(3), Tt2(3)), cordisj
	FormGraficos.Line -(Ii2(4), Tt2(4)), cordisj
	FormGraficos.Line -(Ii2(5), Tt2(5)), cordisj

	FormGraficos.Line (Ii1(1), Tt1(1))-(Ii2(1), Tt2(1)), cordisj
	FormGraficos.Line (Ii1(5), Tt1(5))-(Ii2(5), Tt2(5)), cordisj
	
	FormGraficos.FillStyle = 4
	FormGraficos.FillColor = cordisj

	xc = (Ii1(2) + Ii2(2)) / 2
	yc = Tt1(2)
    
	FloodFill FormGraficos.hDC, xc, yc, cordisj


    End If

End Sub

Sub Desenha_Motor ()
    
    If hiden(t) = 0 Then
	Inominal = Converge_EscalaI(Equipamento(ordem(t, 1), 2))
	Ipartida = Converge_EscalaI(Equipamento(ordem(t, 1), 3))
	Tpartida = Converge_EscalaT(Equipamento(ordem(t, 1), 4))
	FormGraficos.Line (Inominal, Tpartida)-(Inominal, C), cormotor
	FormGraficos.Line (Inominal, Tpartida)-(Ipartida, Tpartida), cormotor
	FormGraficos.Line (Ipartida, Tpartida)-(Ipartida, D), cormotor
    End If

End Sub

Sub Desenha_NH ()
 If hiden(t) = 0 Then
	cor = corfusnh

	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	For i = 1 To 7
	    curve(i - 1).fx = Converge_EscalaI(RTT * Equipamento(ordem(t, 1) + 1, i))
	    curve(i - 1).fz = Converge_EscalaI(RTT * Equipamento(ordem(t, 1) + 2, i))
	    curve(i - 1).fy = Converge_EscalaT(Equipamento(ordem(t, 1), i))
	Next i


	glNumControlPoints = 0
	glCurveResolution = 20
	gfTension = 1#
    
	For i = 0 To 6
	    AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
	Next i

	Dim j As Long
	Dim lCurveLen As Long

	lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
	FormGraficos.CurrentX = curve(0).fx
	FormGraficos.CurrentY = curve(0).fy
    
	For j = 1 To lCurveLen
	    FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
	Next j

	FormGraficos.CurrentX = curve(0).fz
	FormGraficos.CurrentY = curve(0).fy

	For j = 1 To lCurveLen
	    FormGraficos.Line -(curve(j).fz, curve(j).fy), cor
	Next j

	FormGraficos.Line (curve(0).fx, curve(0).fy)-(curve(0).fz, curve(0).fy), cor
	FormGraficos.Line (curve(lCurveLen).fx, curve(lCurveLen).fy)-(curve(lCurveLen).fz, curve(lCurveLen).fy), cor
    
	FormGraficos.FillStyle = 4
	FormGraficos.FillColor = cor

	xc = (curve(6).fx + curve(6).fz) / 2
	yc = curve(6).fy
    
	FloodFill FormGraficos.hDC, xc, yc, cor
End If
End Sub

Sub Desenha_Rele0 ()

    If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	'Curva do temporizado
	Iss = Equipamento(ordem(t, 1), 1)
	RTC = Equipamento(ordem(t, 1), 3)
	TMS = Converge_EscalaT(Equipamento(ordem(t, 1), 2))
	Tt = Equipamento(ordem(t, 1), 2)
	Ir = Converge_EscalaI(RTT * Iss * RTC)
	
	
	rele50 = Equipamento(ordem(t, 1), 26)
	
	If rele50 Then
	    'Curva do instantneo
	    I50 = Converge_EscalaI(Equipamento(ordem(t, 1), 4))
	    Tinst = Converge_EscalaT(Equipamento(ordem(t, 1), 5))
	    
	    FormGraficos.Line (Ir, C)-(Ir, TMS), corRele
	    FormGraficos.Line (Ir, TMS)-(I50, TMS), corRele
	    FormGraficos.Line (I50, TMS)-(I50, Tinst), corRele
	    FormGraficos.Line (I50, Tinst)-(B, Tinst), corRele
	Else
	    FormGraficos.Line (Ir, C)-(Ir, TMS), corRele
	    FormGraficos.Line (Ir, TMS)-(B, TMS), corRele
	End If

    End If
    
End Sub

Sub Desenha_Rele1 ()

    MA(0) = 1.01
    MA(1) = 2
    MA(2) = 6
    MA(3) = 10
    MA(4) = 40
    MA(5) = 100
    

    
    If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	Iss = Equipamento(ordem(t, 1), 1)
	RTC = Equipamento(ordem(t, 1), 3)
	TMS = Converge_EscalaT(Equipamento(ordem(t, 1), 2))
	Tt = Equipamento(ordem(t, 1), 2)
	Ir = Converge_EscalaI(Iss * RTC)
	 
	For i = 0 To 5
	    T_Rele(i) = (.14 * Tt) / ((MA(i) ^ .02) - 1)
	    I_Rele(i) = Iss * RTC * MA(i)
	Next i
	    
	cor = corRele

	For i = 0 To 5
	    curve(i).fx = Converge_EscalaI(RTT * I_Rele(i))
	    curve(i).fy = Converge_EscalaT(T_Rele(i))
	Next i


	glNumControlPoints = 0
	glCurveResolution = 10
	gfTension = 1#
    
	For i = 0 To 5
	    AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
	Next i

	Dim j As Long
	Dim lCurveLen As Long

	lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
	FormGraficos.CurrentX = curve(0).fx
	FormGraficos.CurrentY = curve(0).fy
    
	rele50 = Equipamento(ordem(t, 1), 26)
	
	If rele50 Then
	    I50 = Converge_EscalaI(Equipamento(ordem(t, 1), 4))
	    Tinst = Converge_EscalaT(Equipamento(ordem(t, 1), 5))
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
		If curve(j).fx > I50 Then
		    final = curve(j).fy
		    j = lCurveLen
		End If
	    Next j
	    FormGraficos.Line (I50, final)-(I50, Tinst), cor
	    FormGraficos.Line (I50, Tinst)-(B, Tinst), cor
	Else
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
	    Next j
	End If

	
    End If

End Sub

Sub Desenha_Rele2 ()

    MA(0) = 1.01
    MA(1) = 2
    MA(2) = 6
    MA(3) = 10
    MA(4) = 40
    MA(5) = 100
    
    If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	Iss = Equipamento(ordem(t, 1), 1)
	RTC = Equipamento(ordem(t, 1), 3)
	TMS = Converge_EscalaT(Equipamento(ordem(t, 1), 2))
	Tt = Equipamento(ordem(t, 1), 2)
	Ir = Converge_EscalaI(Iss * RTC)

	    
	For i = 0 To 5
	    T_Rele(i) = (13.5 * Tt) / (MA(i) - 1)
	    I_Rele(i) = Iss * RTC * MA(i)
	Next i
	    
	cor = corRele

	For i = 0 To 5
	    curve(i).fx = Converge_EscalaI(RTT * I_Rele(i))
	    curve(i).fy = Converge_EscalaT(T_Rele(i))
	Next i


	glNumControlPoints = 0
	glCurveResolution = 10
	gfTension = 1#
    
	For i = 0 To 5
	    AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
	Next i

	Dim j As Long
	Dim lCurveLen As Long

	lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
	FormGraficos.CurrentX = curve(0).fx
	FormGraficos.CurrentY = curve(0).fy
    
	rele50 = Equipamento(ordem(t, 1), 26)

	If rele50 Then
	    I50 = Converge_EscalaI(Equipamento(ordem(t, 1), 4))
	    Tinst = Converge_EscalaT(Equipamento(ordem(t, 1), 5))
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
		If curve(j).fx > I50 Then
		    final = curve(j).fy
		    j = lCurveLen
		End If
	    Next j
	    FormGraficos.Line (I50, final)-(I50, Tinst), cor
	    FormGraficos.Line (I50, Tinst)-(B, Tinst), cor
	Else
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
	    Next j
	End If
    
    End If


End Sub

Sub Desenha_Rele3 ()

    MA(0) = 1.01
    MA(1) = 2
    MA(2) = 6
    MA(3) = 10
    MA(4) = 40
    MA(5) = 100
    
    If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	Iss = Equipamento(ordem(t, 1), 1)
	RTC = Equipamento(ordem(t, 1), 3)
	TMS = Converge_EscalaT(Equipamento(ordem(t, 1), 2))
	Tt = Equipamento(ordem(t, 1), 2)
	Ir = Converge_EscalaI(Iss * RTC)


	For i = 0 To 5
	    T_Rele(i) = (80 * Tt) / ((MA(i) ^ 2) - 1)
	    I_Rele(i) = Iss * RTC * MA(i)
	Next i
	    
	cor = corRele

	For i = 0 To 5
	    curve(i).fx = Converge_EscalaI(RTT * I_Rele(i))
	    curve(i).fy = Converge_EscalaT(T_Rele(i))
	Next i


	glNumControlPoints = 0
	glCurveResolution = 10
	gfTension = 1#
	
	For i = 0 To 5
	    AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
	Next i

	Dim j As Long
	Dim lCurveLen As Long

	lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
	FormGraficos.CurrentX = curve(0).fx
	FormGraficos.CurrentY = curve(0).fy
    
	rele50 = Equipamento(ordem(t, 1), 26)

	If rele50 Then
	    I50 = Converge_EscalaI(Equipamento(ordem(t, 1), 4))
	    Tinst = Converge_EscalaT(Equipamento(ordem(t, 1), 5))
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
		If curve(j).fx > I50 Then
		    final = curve(j).fy
		    j = lCurveLen
		End If
	    Next j
	    FormGraficos.Line (I50, final)-(I50, Tinst), cor
	    FormGraficos.Line (I50, Tinst)-(B, Tinst), cor
	Else
	    For j = 1 To lCurveLen
		FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
	    Next j
	End If

    End If


End Sub

Sub Desenha_Termico ()

 If hiden(t) = 0 Then
	
	Dim RTT As Single
	
	RTT = RT(t, 1)
	
	ReDim IT(6) As Single
	ReDim Tt(6) As Single
	
	cor = corTermico
	Iaj = Equipamento(ordem(t, 1), 3)
	curva = Equipamento(ordem(t, 1), 2)
	If curva = 2 Then
	    IT(0) = .9 * Iaj
	    IT(1) = 1 * Iaj
	    IT(2) = 1.5 * Iaj
	    IT(3) = 3 * Iaj
	    IT(4) = 6 * Iaj
	    IT(5) = 10 * Iaj
	    Tt(0) = 6000
	    Tt(1) = 420
	    Tt(2) = 60
	    Tt(3) = 13
	    Tt(4) = 5
	    Tt(5) = 3
	Else
	    IT(0) = 1.2 * Iaj
	    IT(1) = 1.5 * Iaj
	    IT(2) = 2 * Iaj
	    IT(3) = 3 * Iaj
	    IT(4) = 6 * Iaj
	    IT(5) = 10 * Iaj
	    Tt(0) = 6000
	    Tt(1) = 240
	    Tt(2) = 70
	    Tt(3) = 30
	    Tt(4) = 10
	    Tt(5) = 6
	End If
	

	For k = 0 To 5
	    curve(k).fx = Converge_EscalaI(RTT * IT(k))
	    curve(k).fy = Converge_EscalaT(Tt(k))
	Next k


	glNumControlPoints = 0
	glCurveResolution = 20
	gfTension = 1#
    
	For i = 0 To 5
	    AddControlPoint CSng(curve(i).fx), CSng(curve(i).fy), CSng(curve(i).fz)
	Next i

	Dim j As Long
	Dim lCurveLen As Long

	lCurveLen = Bspline(glCurveResolution, gfTension, glNumControlPoints, ControlPoly(0), curve(0))
    
	FormGraficos.CurrentX = curve(0).fx
	FormGraficos.CurrentY = curve(0).fy
    
	For j = 1 To lCurveLen
	    FormGraficos.Line -(curve(j).fx, curve(j).fy), cor
	Next j


    
	
 End If
    
End Sub

Sub Desenha_Trafo ()
    If hiden(t) = 0 Then
	    
	    Dim RTT As Single
	
	    RTT = RT(t - 1, 1)
	    
	    redesenha = 1
	    tempoy = Equipamento(ordem(t, 1), 1)
	    Corrente = Equipamento(ordem(t, 1) + 1, 1)
	    tyi = Converge_EscalaT(tempoy)
	    i1xi = Converge_EscalaI(RTT * Corrente)
	
	    For i = 2 To 5
	    tempoy = Equipamento(ordem(t, 1), i)
	    Corrente = Equipamento(ordem(t, 1) + 1, i)
	    tyf = Converge_EscalaT(tempoy)
	    i1xf = Converge_EscalaI(RTT * Corrente)
	    If i = 5 Then
		FormGraficos.Circle (i1xf, tyf), 1, cortransform
	    End If

	    'identificao
	    'If i = 3 Then
	    'FormGraficos.Line (i1xi, tyi)-(i1xi - 100, tyi),cortransformr
	    'FormGraficos.PSet (i1xi - 190, tyi - 9)
	    'corantiga = FormGraficos.ForeColor
	    'FormGraficos.ForeColor =cortransformr
	    'FormGraficos.FontUnderline = True
	    'FormGraficos.Print " Transformador"; redesenha
	    'FormGraficos.FontUnderline = False
	    'FormGraficos.ForeColor = corantiga
	    'End If

	    FormGraficos.Line (i1xi, tyi)-(i1xf, tyf), cortransform
	    i1xi = i1xf
	    tyi = tyf
	    Next i
	    
	    'Desenha curva de plena carga
	    If Equipamento(ordem(t, 1), 6) > 0 Then
		aa = Converge_EscalaI(Abs(RTT * Equipamento(ordem(t, 1), 6)))
		bb = Converge_EscalaT(200)
		FormGraficos.Line (aa, bb)-(aa, Converge_EscalaT(10000)), cortransform
	     '   FormGraficos.Line (aa - 6, bb / 2)-(aa - 55, bb / 2),cortransformr
	     '   FormGraficos.PSet (aa - 90, (bb / 2) - 8)
	     '   corantiga = FormGraficos.ForeColor
	     '   FormGraficos.ForeColor =cortransformr
	     '   FormGraficos.FontUnderline = True
	     '   FormGraficos.Print " PC T"; redesenha
	     '   FormGraficos.FontUnderline = False
	     '   FormGraficos.ForeColor = corantiga
	    End If

	    'Corrente magnetizante Inrush
	    If Equipamento(ordem(t, 1) + 1, 6) > 0 Then
		temp = Converge_EscalaT(.1)
		corr = Converge_EscalaI(RTT * (1) * Equipamento(ordem(t, 1) + 1, 6))
		FormGraficos.FillStyle = 1
		FormGraficos.Circle (corr, temp), 4, cortransform
		FormGraficos.Circle (corr, temp), .6, cortransform
	      '  FormGraficos.Line (corr - 5, temp)-(corr - 60, temp),cortransformr
	      '  FormGraficos.PSet (corr - 120, temp - 11)
	      '  corantiga = FormGraficos.ForeColor
	      '  FormGraficos.ForeColor =cortransformr
	      '  FormGraficos.FontUnderline = True
	      '  FormGraficos.Print " Inrush-T"; redesenha
	      '  FormGraficos.FontUnderline = False
	      '  FormGraficos.ForeColor = corantiga
	    End If
    End If
End Sub

